<?
require ('Conexion/Conexion.php');
require ("lib/class.phpmailer.php");
require ("lib/class.smtp.php");
require ('lib/lib.php');

$url="http://".$_SERVER['HTTP_HOST'].":".$_SERVER['SERVER_PORT'].$_SERVER['REQUEST_URI'];
if(extension($url) == 'php' & $_POST['Correo'] == ''){
	echo "<script language='JavaScript'>location.href = 'index.php'</script>";
	die();
} else{
	if($_POST['Correo'] != ''){
		if(strlen($_POST['Correo']) >= 6 && strlen($_POST['Correo']) <= 50){
			$Correo = strtoupper($_POST['Correo']);
			if (check_email_address($Correo)) {
				$QueryCorreo = mssql_query("SELECT email FROM Cliente WHERE email = '$Correo'");
				if(mssql_num_rows($QueryCorreo) >= 1) {
					$EvaluarCorreo = mssql_fetch_array($QueryCorreo);
					$QueryCliente = mssql_query("SELECT ClienteID, Nombre, email, RFC, NIP FROM CLIENTE WHERE email = '$EvaluarCorreo[0]'");
					$EvaluarCliente = mssql_fetch_array($QueryCliente);
					$ToMail = $Correo;
					$mensaje = "
					Recuperacion de Cuenta de Usuario. <br/><br/> 
					Usuario: ".$EvaluarCliente['Nombre']."<br/>
					NIP: ".$EvaluarCliente['NIP']."<br/>
					R.F.C.: ".$EvaluarCliente['RFC']."<br/>
					Correo Electronico: ".$EvaluarCliente['email']."<br/>";
					$FromName = 'Control de Flotillas Web/Servicio al Cliente.';
					$asunto = "Recuperacion de Cuenta.";
					$FromMail = $_SESSION['CorreoServicio'];
					$Pass = $_SESSION['PasswordServicio'];
					$SentCorreo = Correo($FromMail, $Pass, $ToMail, $FromName, $asunto, $mensaje);
					if($SentCorreo == False)
						echo "<p class='error'>No se pudo enviar el Correo Electrónico de confirmación!</p>";			
					else 
						echo 'envioCorreo';	
				}else
					echo "<p class='error'>El Correo Electrónico No esta registrado en el sistema!</p>";
			}else
				echo "<p class='error'>El Correo Electrónico es inválido!</p>";
		}else
			echo "<p class='error'>El Correo Electrónico esta fuera del rango permitido de caracteres!</p>";
	}else
		echo "<p class='error'>Escriba su Correo Electrónico!</p>";
}
?>